1. Schema
Highperformr API
  • Introduction
  • Contacts
    • Unified Data API - async contact enrichment
      POST
    • Bulk fetch contacts by IDs
      POST
    • Get contacts by segment
      POST
    • Get contact by ID
      GET
    • Update contact
      PATCH
    • Delete contact
      DELETE
    • Upsert contact into a source
      POST
    • Bulk upsert contacts for source
      POST
    • Unique values of one field for a filtered contact set
      POST
  • Schema
    • Get contact schema
      GET
    • Get discovery search contact schema
      GET
    • Get discovery search company schema
      GET
    • Get verified discovery contact filter schema
      GET
    • Get verified discovery company filter schema
      GET
    • Get options for field
      GET
    • Verified discovery autocomplete suggestions
      GET
    • Get discovery search options for field
      GET
    • Verified discovery static option lists
      GET
  • Discovery search
    • Find contacts v2
      POST
    • Find companies v2
      POST
    • Find verified contacts
      POST
    • Find verified companies
      POST
  • Jobs
    • Get job status by id
      GET
  • Social publishing
    • Create draft post
      POST
    • List posts (drafts, scheduled, published)
      POST
    • Schedule or publish posts (bulk)
      POST
    • Schedule a LinkedIn comment on an external post
      POST
    • Configure cross-account auto-repost
      POST
    • Upload media file (multipart)
      POST
    • Assemble chunked uploads into one file
      POST
    • Import media from a public URL
      POST
  • Integrations (social)
    • List social integrations (filter)
  • Segments
    • Type-ahead search for segments
    • Create segment
    • Get segment by ID
    • Update segment
    • Delete segment
    • Clone segment
  • Sources
    • Bulk upsert sources
    • Bulk fetch sources
    • Bulk update sources
    • Create source
    • Pull contacts from source
    • Get source by ID
    • Update source
  • Credits
    • Get workspace credit balance
Login
  1. Schema

Get verified discovery company filter schema

GET
/schema/verified-discovery/company
Field catalog for verified & enriched company discovery. Use with POST /discovery-search/find-verified-companies and POST /discovery-search/import-verified-companies via flat inputFieldMapping (see GET /schema/verified-discovery/contact description).

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or

Responses

🟢200
application/json
Verified company filter schema.
Bodyapplication/json

🟠401
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://app.highperformr.ai/api/schema/verified-discovery/company' \
--header 'x-api-key: <api-key>'
Response Response Example
200 - Example 1
{
    "data": [
        {
            "name": "string",
            "readAccessPath": "string",
            "writeAccessPath": "string",
            "type": "string",
            "displayName": "string",
            "description": "string",
            "filteringSupported": true,
            "groupNames": [
                "string"
            ],
            "userInputShape": "object",
            "userInputWrapKey": "string",
            "verifiedDiscoveryField": true,
            "exampleUserInput": null,
            "options": [
                {
                    "label": "string",
                    "value": null
                }
            ],
            "optionsLink": "string",
            "suggestionLink": "string",
            "hasMoreOptions": true,
            "childFields": [
                {
                    "name": "string",
                    "jsonKey": "string",
                    "writeAccessPath": "string",
                    "parentField": "string",
                    "type": "string",
                    "displayName": "string",
                    "filteringSupported": true,
                    "options": [
                        {
                            "label": "string",
                            "value": null
                        }
                    ],
                    "optionsLink": "string",
                    "suggestionLink": "string",
                    "hasMoreOptions": true,
                    "childFields": [
                        {
                            "property1": "string",
                            "property2": "string"
                        }
                    ]
                }
            ]
        }
    ],
    "meta": {
        "groupsOrder": [
            "string"
        ],
        "schemaVersion": "verified-v1",
        "inputFieldMappingContract": {},
        "jsonFieldExamples": []
    }
}
Modified at 2026-08-06 14:14:15
Previous
Get verified discovery contact filter schema
Next
Get options for field
Built with